public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/networkmanager/
Date: Thu, 12 Aug 2021 21:32:31 +0000 (UTC)	[thread overview]
Message-ID: <1628803943.57d1140282cefd7e4bbfb739b6d2ab43140b1eaf.mattst88@gentoo> (raw)

commit:     57d1140282cefd7e4bbfb739b6d2ab43140b1eaf
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 12 21:24:54 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Aug 12 21:32:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57d11402

net-misc/networkmanager: Version bump to 1.32.8

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 net-misc/networkmanager/Manifest                   |   1 +
 .../networkmanager/networkmanager-1.32.8.ebuild    | 349 +++++++++++++++++++++
 2 files changed, 350 insertions(+)

diff --git a/net-misc/networkmanager/Manifest b/net-misc/networkmanager/Manifest
index d798dbc2ea8..47eba2bb7b4 100644
--- a/net-misc/networkmanager/Manifest
+++ b/net-misc/networkmanager/Manifest
@@ -2,3 +2,4 @@ DIST NetworkManager-1.30.4.tar.xz 5303420 BLAKE2B c2d81fe03f75f4afd05cac06741d9e
 DIST NetworkManager-1.32.2.tar.xz 5242372 BLAKE2B d19dbbb86cafd29023e0bd1b3a1ce69580d769d77a993b5e0db6cc526de7b1cce573e74c96483bf88c3a45f3ac7d4831a27d1efb1d8414cc8dd6e5671bdbf4f3 SHA512 9c7891a1106ebf333344818d29810ae182b284d1966760ec79bafa0618378a5ca68d58ec941357328ae8d4a43473f3916d62e4cfa316a46532773326312c0cc1
 DIST NetworkManager-1.32.4.tar.xz 5250412 BLAKE2B 6c0931d50a8666f88865d4ca5281e1570dd230156e30bb27822c9ea3d93b3b3b24f336e154787794e7edd7c00296f9f7c5761136cac0c0eacf142a0371cbfe81 SHA512 95be90d4c8f8f9f58a3c7ad8d8c9b592d2b77f283df58b495fe1b673c4fadd4409f4fc00fc9766343e3ac240dd805583db4f05e6d1f0b367fe22b306227fc684
 DIST NetworkManager-1.32.6.tar.xz 5254712 BLAKE2B 44c3019ba6b04552e67f31e9c069754f627f9f97a9ed110ce662dff033c7e8c009bed55da15cd4df592f0edf2c44f445f2733307f06ffbc4c5a946e05c3f26a3 SHA512 7556e8c3934a83320646336bcaffc010a91258c1ab669596e4b7ece98eb35e1d1ae625bca0de3781638e0a186656de61d554ef8722beea6bc29cdb0c70314b1d
+DIST NetworkManager-1.32.8.tar.xz 5255076 BLAKE2B 5f1bc55e3b9e6864c05421c8506ac202162deaf5081450e5d50f52699abc2d9bfb6e89b6f48c9874cccdc11fe754a5063a63e830702e211cf178ce7df0d628fb SHA512 328733f3dce9e52e680e464b60112995439f94dfeaea3b6c2082b323e85418483db6c6dc9e43f52176ff7c1291b226db77fe5acab9935dad7735c4397f5e9b83

diff --git a/net-misc/networkmanager/networkmanager-1.32.8.ebuild b/net-misc/networkmanager/networkmanager-1.32.8.ebuild
new file mode 100644
index 00000000000..0ab6357947d
--- /dev/null
+++ b/net-misc/networkmanager/networkmanager-1.32.8.ebuild
@@ -0,0 +1,349 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+GNOME_ORG_MODULE="NetworkManager"
+VALA_USE_DEPEND="vapigen"
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit bash-completion-r1 gnome2 linux-info multilib python-any-r1 systemd readme.gentoo-r1 vala virtualx udev multilib-minimal
+
+DESCRIPTION="A set of co-operative tools that make networking simple and straightforward"
+HOMEPAGE="https://wiki.gnome.org/Projects/NetworkManager"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+
+IUSE="audit bluetooth connection-sharing dhclient dhcpcd elogind gnutls +introspection iptables iwd kernel_linux +nss nftables +modemmanager ncurses ofono ovs policykit +ppp resolvconf selinux systemd teamd test vala +wext +wifi"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+	bluetooth? ( modemmanager )
+	connection-sharing? ( || ( iptables nftables ) )
+	iwd? ( wifi )
+	vala? ( introspection )
+	wext? ( wifi )
+	|| ( nss gnutls )
+	?? ( elogind systemd )
+"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# gobject-introspection-0.10.3 is needed due to gnome bug 642300
+# wpa_supplicant-0.7.3-r3 is needed due to bug 359271
+COMMON_DEPEND="
+	>=dev-libs/glib-2.40:2[${MULTILIB_USEDEP}]
+	policykit? ( >=sys-auth/polkit-0.106 )
+	net-libs/libndp[${MULTILIB_USEDEP}]
+	>=net-misc/curl-7.24
+	net-misc/iputils
+	sys-apps/util-linux[${MULTILIB_USEDEP}]
+	sys-libs/readline:0=
+	>=virtual/libudev-175:=[${MULTILIB_USEDEP}]
+	audit? ( sys-process/audit )
+	bluetooth? ( >=net-wireless/bluez-5 )
+	connection-sharing? (
+		net-dns/dnsmasq[dbus,dhcp]
+		iptables? ( net-firewall/iptables )
+		nftables? ( net-firewall/nftables )
+	)
+	dhclient? ( >=net-misc/dhcp-4[client] )
+	dhcpcd? ( >=net-misc/dhcpcd-9.3.3 )
+	elogind? ( >=sys-auth/elogind-219 )
+	introspection? ( >=dev-libs/gobject-introspection-0.10.3:= )
+	modemmanager? ( >=net-misc/modemmanager-0.7.991:0=
+		net-misc/mobile-broadband-provider-info )
+	ncurses? ( >=dev-libs/newt-0.52.15 )
+	nss? ( >=dev-libs/nss-3.11:=[${MULTILIB_USEDEP}] )
+	!nss? ( gnutls? (
+		dev-libs/libgcrypt:0=[${MULTILIB_USEDEP}]
+		>=net-libs/gnutls-2.12:=[${MULTILIB_USEDEP}] ) )
+	ofono? ( net-misc/ofono )
+	ovs? ( dev-libs/jansson )
+	ppp? ( >=net-dialup/ppp-2.4.5:=[ipv6] )
+	resolvconf? ( net-dns/openresolv )
+	selinux? ( sys-libs/libselinux )
+	systemd? ( >=sys-apps/systemd-209:0= )
+	teamd? (
+		dev-libs/jansson
+		>=net-misc/libteam-1.9
+	)
+"
+RDEPEND="${COMMON_DEPEND}
+	acct-group/plugdev
+	|| (
+		net-misc/iputils[arping(+)]
+		net-analyzer/arping
+	)
+	wifi? (
+		!iwd? ( >=net-wireless/wpa_supplicant-0.7.3-r3[dbus] )
+		iwd? ( net-wireless/iwd )
+	)
+"
+DEPEND="${COMMON_DEPEND}
+	>=sys-kernel/linux-headers-3.18
+	"
+BDEPEND="
+	dev-util/gdbus-codegen
+	dev-util/glib-utils
+	dev-util/gtk-doc-am
+	>=dev-util/intltool-0.40
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+	introspection? (
+		$(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+		dev-lang/perl
+		dev-libs/libxslt
+	)
+	vala? ( $(vala_depend) )
+	test? (
+		$(python_gen_any_dep '
+			dev-python/dbus-python[${PYTHON_USEDEP}]
+			dev-python/pygobject:3[${PYTHON_USEDEP}]')
+	)
+"
+
+python_check_deps() {
+	if use introspection; then
+		has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" || return
+	fi
+	if use test; then
+		has_version "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+		has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+	fi
+}
+
+sysfs_deprecated_check() {
+	ebegin "Checking for SYSFS_DEPRECATED support"
+
+	if { linux_chkconfig_present SYSFS_DEPRECATED_V2; }; then
+		eerror "Please disable SYSFS_DEPRECATED_V2 support in your kernel config and recompile your kernel"
+		eerror "or NetworkManager will not work correctly."
+		eerror "See https://bugs.gentoo.org/333639 for more info."
+		die "CONFIG_SYSFS_DEPRECATED_V2 support detected!"
+	fi
+	eend $?
+}
+
+pkg_pretend() {
+	if use kernel_linux; then
+		get_version
+		if linux_config_exists; then
+			sysfs_deprecated_check
+		else
+			ewarn "Was unable to determine your kernel .config"
+			ewarn "Please note that if CONFIG_SYSFS_DEPRECATED_V2 is set in your kernel .config, NetworkManager will not work correctly."
+			ewarn "See https://bugs.gentoo.org/333639 for more info."
+		fi
+
+	fi
+}
+
+pkg_setup() {
+	if use connection-sharing; then
+		if kernel_is lt 5 1; then
+			CONFIG_CHECK="~NF_NAT_IPV4 ~NF_NAT_MASQUERADE_IPV4"
+		else
+			CONFIG_CHECK="~NF_NAT ~NF_NAT_MASQUERADE"
+		fi
+		linux-info_pkg_setup
+	fi
+	if use introspection || use test; then
+		python-any-r1_pkg_setup
+	fi
+}
+
+src_prepare() {
+	DOC_CONTENTS="To modify system network connections without needing to enter the
+		root password, add your user account to the 'plugdev' group."
+
+	use vala && vala_src_prepare
+	gnome2_src_prepare
+
+	sed -i \
+		-e 's#/usr/bin/sed#/bin/sed#' \
+		data/84-nm-drivers.rules \
+		|| die
+}
+
+multilib_src_configure() {
+	local myconf=(
+		--disable-more-warnings
+		--disable-static
+		--localstatedir=/var
+		--with-runstatedir=/run
+		--disable-lto
+		--disable-qt
+		--without-netconfig
+		--with-dbus-sys-dir=/etc/dbus-1/system.d
+		$(multilib_native_with nmcli)
+		--with-udev-dir="$(get_udevdir)"
+		--with-config-plugins-default=keyfile
+		--with-iptables=/sbin/iptables
+		--with-nft=/sbin/nft
+		--with-ebpf=yes
+		$(multilib_native_enable concheck)
+		--with-nm-cloud-setup=$(multilib_is_native_abi && echo yes || echo no)
+		--with-crypto=$(usex nss nss gnutls)
+		# elogind lacks multilib for now, and consolekit doesn't require linking against, so we use it as a fake option
+		# This SHOULD be removable once elogind has that. We abuse the fact that 'consolekit' does nothing at buildtime.
+		# (There is no off switch, and we do not support upower.)
+		# bug #747358
+		--with-session-tracking=$(multilib_native_usex systemd systemd $(multilib_native_usex elogind elogind consolekit))
+		--with-suspend-resume=$(multilib_native_usex systemd systemd $(multilib_native_usex elogind elogind consolekit))
+		$(multilib_native_use_with audit libaudit)
+		$(multilib_native_use_enable bluetooth bluez5-dun)
+		--without-dhcpcanon
+		$(use_with dhclient)
+		$(use_with dhcpcd)
+		--with-config-dhcp-default=internal
+		$(multilib_native_use_enable introspection)
+		$(multilib_native_use_enable ppp)
+		--without-libpsl
+		$(multilib_native_use_with modemmanager modem-manager-1)
+		$(multilib_native_use_with ncurses nmtui)
+		$(multilib_native_use_with ofono)
+		$(multilib_native_use_enable ovs)
+		$(multilib_native_use_enable policykit polkit)
+		$(multilib_native_use_with resolvconf)
+		$(multilib_native_use_with selinux)
+		$(multilib_native_use_with systemd systemd-journal)
+		$(multilib_native_use_enable teamd teamdctl)
+		$(multilib_native_use_enable test tests)
+		$(multilib_native_use_enable vala)
+		--without-valgrind
+		$(multilib_native_use_with wifi iwd)
+		$(multilib_native_use_with wext)
+		$(multilib_native_use_enable wifi)
+	)
+
+	# Same hack as net-dialup/pptpd to get proper plugin dir for ppp, bug #519986
+	if use ppp; then
+		local PPPD_VER=`best_version net-dialup/ppp`
+		PPPD_VER=${PPPD_VER#*/*-} #reduce it to ${PV}-${PR}
+		PPPD_VER=${PPPD_VER%%[_-]*} # main version without beta/pre/patch/revision
+		myconf+=( --with-pppd-plugin-dir=/usr/$(get_libdir)/pppd/${PPPD_VER} )
+	fi
+
+	# unit files directory needs to be passed only when systemd is enabled,
+	# otherwise systemd support is not disabled completely, bug #524534
+	use systemd && myconf+=( --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" )
+
+	if multilib_is_native_abi; then
+		# work-around man out-of-source brokenness, must be done before configure
+		ln -s "${S}/docs" docs || die
+		ln -s "${S}/man" man || die
+	fi
+
+	ECONF_SOURCE=${S} gnome2_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile() {
+	if multilib_is_native_abi; then
+		emake
+	else
+		local targets=(
+			src/libnm-client-impl/libnm.la
+		)
+		emake "${targets[@]}"
+	fi
+}
+
+multilib_src_test() {
+	if use test && multilib_is_native_abi; then
+		python_setup
+		virtx emake check
+	fi
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi; then
+		# Install completions at proper place, bug #465100
+		gnome2_src_install completiondir="$(get_bashcompdir)"
+		insinto /usr/lib/NetworkManager/conf.d #702476
+		doins "${S}"/examples/nm-conf.d/31-mac-addr-change.conf
+	else
+		local targets=(
+			install-libLTLIBRARIES
+			install-libnmincludeHEADERS
+			install-nodist_libnmincludeHEADERS
+			install-pkgconfigDATA
+		)
+		emake DESTDIR="${D}" "${targets[@]}"
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	! use systemd && readme.gentoo_create_doc
+
+	newinitd "${FILESDIR}/init.d.NetworkManager-r2" NetworkManager
+	newconfd "${FILESDIR}/conf.d.NetworkManager" NetworkManager
+
+	# Need to keep the /etc/NetworkManager/dispatched.d for dispatcher scripts
+	keepdir /etc/NetworkManager/dispatcher.d
+
+	# Provide openrc net dependency only when nm is connected
+	exeinto /etc/NetworkManager/dispatcher.d
+	newexe "${FILESDIR}/10-openrc-status-r4" 10-openrc-status
+	sed -e "s:@EPREFIX@:${EPREFIX}:g" \
+		-i "${ED}/etc/NetworkManager/dispatcher.d/10-openrc-status" || die
+
+	keepdir /etc/NetworkManager/system-connections
+	chmod 0600 "${ED}"/etc/NetworkManager/system-connections/.keep* # bug #383765, upstream bug #754594
+
+	# Allow users in plugdev group to modify system connections
+	insinto /usr/share/polkit-1/rules.d/
+	doins "${FILESDIR}/01-org.freedesktop.NetworkManager.settings.modify.system.rules"
+
+	if use iwd; then
+		# This goes to $nmlibdir/conf.d/ and $nmlibdir is '${prefix}'/lib/$PACKAGE, thus always lib, not get_libdir
+		cat <<-EOF > "${ED}"/usr/lib/NetworkManager/conf.d/iwd.conf
+		[device]
+		wifi.backend=iwd
+		EOF
+	fi
+
+	# Empty
+	rmdir "${ED}"/var{/lib{/NetworkManager,},} || die
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	systemd_reenable NetworkManager.service
+	! use systemd && readme.gentoo_print_elog
+
+	if [[ -e "${EROOT}/etc/NetworkManager/nm-system-settings.conf" ]]; then
+		ewarn "The ${PN} system configuration file has moved to a new location."
+		ewarn "You must migrate your settings from ${EROOT}/etc/NetworkManager/nm-system-settings.conf"
+		ewarn "to ${EROOT}/etc/NetworkManager/NetworkManager.conf"
+		ewarn
+		ewarn "After doing so, you can remove ${EROOT}/etc/NetworkManager/nm-system-settings.conf"
+	fi
+
+	# NM fallbacks to plugin specified at compile time (upstream bug #738611)
+	# but still show a warning to remember people to have cleaner config file
+	if [[ -e "${EROOT}/etc/NetworkManager/NetworkManager.conf" ]]; then
+		if grep plugins "${EROOT}/etc/NetworkManager/NetworkManager.conf" | grep -q ifnet; then
+			ewarn
+			ewarn "You seem to use 'ifnet' plugin in ${EROOT}/etc/NetworkManager/NetworkManager.conf"
+			ewarn "Since it won't be used, you will need to stop setting ifnet plugin there."
+			ewarn
+		fi
+	fi
+
+	# NM shows lots of errors making nmcli almost unusable, bug #528748 upstream bug #690457
+	if grep -r "psk-flags=1" "${EROOT}"/etc/NetworkManager/; then
+		ewarn "You have psk-flags=1 setting in above files, you will need to"
+		ewarn "either reconfigure affected networks or, at least, set the flag"
+		ewarn "value to '0'."
+	fi
+
+	if use dhclient || use dhcpcd; then
+		ewarn "You have enabled USE=dhclient and/or USE=dhcpcd, but NetworkManager since"
+		ewarn "version 1.20 defaults to the internal DHCP client. If the internal client"
+		ewarn "works for you, and you're happy with, the alternative USE flags can be"
+		ewarn "disabled. If you want to use dhclient or dhcpcd, then you need to tweak"
+		ewarn "the main.dhcp configuration option to use one of them instead of internal."
+	fi
+}


             reply	other threads:[~2021-08-12 21:32 UTC|newest]

Thread overview: 298+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-12 21:32 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-07  2:52 [gentoo-commits] repo/gentoo:master commit in: net-misc/networkmanager/ Sam James
2024-07-17 12:12 Pacho Ramos
2024-04-13 10:37 Mart Raudsepp
2024-04-09 19:59 Arthur Zamarin
2024-04-07 10:33 Arthur Zamarin
2024-04-07  9:14 Arthur Zamarin
2024-03-16 22:07 Mart Raudsepp
2024-03-01 19:31 Patrick McLean
2024-01-24 11:11 Sam James
2024-01-12 19:08 Michał Górny
2023-10-03 21:08 Mart Raudsepp
2023-10-03  2:04 Sam James
2023-08-16 22:32 Matt Turner
2023-08-14 13:59 Matt Turner
2023-07-06 21:26 Matt Turner
2023-05-17 21:55 Matt Turner
2023-05-05  8:01 Arthur Zamarin
2023-05-05  6:36 Arthur Zamarin
2023-05-02 19:57 Arthur Zamarin
2023-05-02 19:07 Arthur Zamarin
2023-05-02 18:13 Arthur Zamarin
2023-05-02 18:03 Arthur Zamarin
2023-04-23  4:46 Sam James
2023-04-21 14:00 Matt Turner
2023-04-02  0:57 Matt Turner
2023-04-01 19:01 Arthur Zamarin
2023-03-31 12:04 Arthur Zamarin
2023-03-30 17:44 Arthur Zamarin
2023-03-12  2:01 Matt Turner
2023-02-23 18:07 Matt Turner
2023-02-23 18:07 Matt Turner
2023-02-23 13:56 Pacho Ramos
2023-02-20 17:32 Matt Turner
2023-02-16 18:39 Arthur Zamarin
2023-02-16 18:39 Arthur Zamarin
2023-02-10 19:18 Matt Turner
2023-01-12 19:37 Matt Turner
2023-01-03 14:08 Matt Turner
2022-12-22 11:13 Arthur Zamarin
2022-12-17  6:45 Arthur Zamarin
2022-12-16 20:57 Arthur Zamarin
2022-12-16 19:44 Matt Turner
2022-12-04  2:41 Matt Turner
2022-11-21 15:13 Matt Turner
2022-11-05 18:45 Matt Turner
2022-11-05  9:58 Arthur Zamarin
2022-11-05  9:44 Arthur Zamarin
2022-10-31 17:58 Matt Turner
2022-10-18 18:10 Matt Turner
2022-10-14 14:29 Matt Turner
2022-09-28 16:29 Arthur Zamarin
2022-09-28 16:29 Arthur Zamarin
2022-09-19  1:38 Sam James
2022-09-12 16:01 Sam James
2022-09-12 16:00 Sam James
2022-09-01  1:20 Matt Turner
2022-09-01  1:20 Matt Turner
2022-08-12  2:50 Matt Turner
2022-07-21  2:04 Matt Turner
2022-07-21  0:13 Sam James
2022-07-18 17:44 Sam James
2022-06-25 15:02 Mike Gilbert
2022-06-20  0:06 Kenton Groombridge
2022-06-20  0:00 Kenton Groombridge
2022-06-17 17:45 Matt Turner
2022-06-17 13:21 Matt Turner
2022-05-31 18:24 Matt Turner
2022-05-31  9:24 Jakov Smolić
2022-05-28  5:05 Sam James
2022-05-24 11:14 WANG Xuerui
2022-05-13 15:47 Matt Turner
2022-03-23  6:14 Matt Turner
2022-03-18 19:24 Matt Turner
2022-03-09  1:57 Sam James
2022-03-08 18:41 Sam James
2022-02-18 22:58 Sam James
2022-01-13 22:34 Matt Turner
2022-01-04 10:30 David Seifert
2021-12-29 17:52 Arthur Zamarin
2021-12-29 17:51 Arthur Zamarin
2021-12-29  9:30 Sam James
2021-12-29  9:30 Sam James
2021-12-29  9:29 Sam James
2021-12-29  9:29 Sam James
2021-12-07  6:26 Agostino Sarubbo
2021-12-07  6:22 Agostino Sarubbo
2021-12-07  2:17 Sam James
2021-12-07  0:32 Sam James
2021-12-07  0:31 Sam James
2021-12-07  0:31 Sam James
2021-12-05 18:33 Sam James
2021-11-06  3:58 Sam James
2021-10-28  3:22 Sam James
2021-10-20  1:54 Sam James
2021-10-04  1:24 Sam James
2021-09-25 19:08 Sam James
2021-08-22 20:24 Matt Turner
2021-08-22 19:35 Matt Turner
2021-08-20 23:51 Sam James
2021-08-20 23:51 Sam James
2021-08-20  9:35 Yixun Lan
2021-08-20  1:50 Sam James
2021-08-19  2:10 Sam James
2021-07-29 19:50 Matt Turner
2021-07-26  5:59 Matt Turner
2021-07-06  2:33 Matt Turner
2021-07-05 20:20 Matt Turner
2021-05-29 15:27 Sam James
2021-05-28 19:20 Sam James
2021-05-28 19:11 Sam James
2021-04-27 12:36 Thomas Deutschmann
2021-04-12 22:12 Sam James
2021-04-12 22:12 Sam James
2021-03-12 15:28 Sam James
2021-03-12  8:04 Mikle Kolyada
2021-03-11  2:35 Sam James
2021-02-06  9:59 Mart Raudsepp
2021-01-08 15:26 Sam James
2021-01-08  2:34 Matt Turner
2020-12-17  6:44 Sam James
2020-12-16 22:33 Sam James
2020-12-14  1:24 Sam James
2020-12-14  1:02 Sam James
2020-12-10 21:41 Thomas Deutschmann
2020-12-08 10:05 Mart Raudsepp
2020-11-05  2:43 Thomas Deutschmann
2020-11-05  2:43 Thomas Deutschmann
2020-10-09  3:38 Sam James
2020-10-08 19:15 Mikle Kolyada
2020-09-24  6:52 Agostino Sarubbo
2020-09-06 22:04 Sam James
2020-08-23 20:13 Sam James
2020-08-22  7:21 Mart Raudsepp
2020-08-17 13:50 Agostino Sarubbo
2020-08-17 10:01 Agostino Sarubbo
2020-08-17  9:57 Agostino Sarubbo
2020-07-15  9:06 Mart Raudsepp
2020-06-11  8:31 Agostino Sarubbo
2020-06-08 16:34 Mart Raudsepp
2020-06-07  9:49 Mart Raudsepp
2020-06-07  8:48 Agostino Sarubbo
2020-06-07  8:47 Agostino Sarubbo
2020-06-07  8:46 Agostino Sarubbo
2020-06-07  8:44 Agostino Sarubbo
2020-06-06 22:24 Mart Raudsepp
2020-06-06  8:32 Mart Raudsepp
2020-04-26  8:09 Mart Raudsepp
2020-04-19 12:03 Mart Raudsepp
2020-04-19 12:03 Mart Raudsepp
2020-04-19 12:03 Mart Raudsepp
2020-04-17 19:50 Mart Raudsepp
2020-04-17 18:55 Andreas Sturmlechner
2020-04-14 17:05 Mart Raudsepp
2020-03-13 12:47 Joonas Niilola
2020-02-11 10:52 Agostino Sarubbo
2020-01-28  7:41 Agostino Sarubbo
2020-01-27 14:28 Agostino Sarubbo
2020-01-27  9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2020-01-21  8:47 Mart Raudsepp
2019-11-30 13:25 Mart Raudsepp
2019-11-28 10:57 Agostino Sarubbo
2019-11-28 10:55 Agostino Sarubbo
2019-11-27 13:17 Mikle Kolyada
2019-11-26 12:27 Agostino Sarubbo
2019-11-26  0:58 Thomas Deutschmann
2019-11-24 21:14 Aaron Bauman
2019-10-21 19:43 Matt Turner
2019-10-12 21:38 Mart Raudsepp
2019-09-13 12:58 Michał Górny
2019-09-08 10:47 Mart Raudsepp
2019-09-08  1:13 Thomas Deutschmann
2019-09-03  0:16 Aaron Bauman
2019-09-02 10:11 Agostino Sarubbo
2019-09-02  9:32 Agostino Sarubbo
2019-09-01 18:20 Mikle Kolyada
2019-08-31  5:26 Mikle Kolyada
2019-08-01 17:47 Robin H. Johnson
2019-07-28 17:41 Mart Raudsepp
2019-07-27 10:14 Mart Raudsepp
2019-07-27  8:36 Mart Raudsepp
2019-06-09 13:51 Pacho Ramos
2019-05-23  6:59 Aaron Bauman
2019-04-28 20:17 Mikle Kolyada
2019-04-28 14:41 Mart Raudsepp
2019-04-28 13:03 Sergei Trofimovich
2019-04-28  7:42 Sergei Trofimovich
2019-04-27 16:25 Sergei Trofimovich
2019-04-27 16:03 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-04-23 19:23 Mikle Kolyada
2019-03-23 12:58 Mike Gilbert
2019-03-16  9:07 Mart Raudsepp
2019-03-16  9:07 Mart Raudsepp
2019-03-02 15:35 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-24  9:03 Agostino Sarubbo
2019-02-23 14:11 Mart Raudsepp
2018-12-05 14:07 Mart Raudsepp
2018-12-05  7:34 Mikle Kolyada
2018-12-05  7:07 Mikle Kolyada
2018-12-04 16:27 Mikle Kolyada
2018-12-02 14:29 Mikle Kolyada
2018-12-02 10:12 Mikle Kolyada
2018-11-29 20:24 Mart Raudsepp
2018-11-25 10:03 Mikle Kolyada
2018-11-15  6:42 Mike Gilbert
2018-10-24 16:21 Mart Raudsepp
2018-10-20 11:39 Pacho Ramos
2018-10-20 11:39 Pacho Ramos
2018-10-07  0:16 Matt Turner
2018-09-18 14:41 Mart Raudsepp
2018-09-18 14:41 Mart Raudsepp
2018-09-07  9:51 Mart Raudsepp
2018-07-25 17:36 Mike Gilbert
2018-07-22  1:39 Mikle Kolyada
2018-07-14 20:10 Sergei Trofimovich
2018-07-09 16:14 Mikle Kolyada
2018-07-06 13:43 Thomas Deutschmann
2018-06-16 17:56 Pacho Ramos
2018-06-16 17:56 Pacho Ramos
2018-04-29 17:45 Mike Gilbert
2017-12-25 16:30 Mike Gilbert
2017-11-26 20:10 Mike Gilbert
2017-11-18 17:52 Sergei Trofimovich
2017-11-13 22:37 Sergei Trofimovich
2017-11-13 15:33 Manuel Rüger
2017-11-11 18:00 Thomas Deutschmann
2017-09-20 22:40 Mike Gilbert
2017-09-03  1:15 Mike Gilbert
2017-08-16 22:31 Gilles Dartiguelongue
2017-07-25 20:24 Mike Gilbert
2017-06-25 18:03 Mike Gilbert
2017-06-01  1:17 Mike Gilbert
2017-05-27 22:15 Mike Gilbert
2017-05-27 22:06 Mike Gilbert
2017-05-27 21:57 Mike Gilbert
2017-05-27 15:39 Mike Gilbert
2017-05-27 15:09 Andreas Sturmlechner
2017-05-23 18:47 Mike Gilbert
2017-05-23 18:04 Mike Gilbert
2017-02-24 21:29 Michael Weber
2017-02-24 14:07 Agostino Sarubbo
2017-02-16  0:17 Mart Raudsepp
2017-02-11 18:31 Pacho Ramos
2017-01-26 11:18 Mart Raudsepp
2017-01-16 22:05 Pacho Ramos
2017-01-16 17:30 Mike Gilbert
2017-01-16  2:39 Mike Gilbert
2017-01-15 16:44 Pacho Ramos
2017-01-15 16:00 Pacho Ramos
2016-12-06 20:46 Markus Meier
2016-09-29 18:31 Pacho Ramos
2016-09-19 13:17 Lars Wendler
2016-09-11 15:50 Mike Gilbert
2016-09-11 11:28 Gilles Dartiguelongue
2016-08-10 19:06 Pacho Ramos
2016-08-10 19:06 Pacho Ramos
2016-08-08 14:28 Mike Gilbert
2016-08-08  1:15 Mike Gilbert
2016-08-04 17:27 Mike Gilbert
2016-08-04  1:26 Mike Gilbert
2016-07-30 16:41 Pacho Ramos
2016-07-15 17:48 Mike Gilbert
2016-07-09 18:39 Pacho Ramos
2016-07-08 11:02 Agostino Sarubbo
2016-07-08  7:53 Agostino Sarubbo
2016-07-08  1:46 Jonathan Callen
2016-07-07 19:18 Pacho Ramos
2016-07-07 19:18 Pacho Ramos
2016-07-07 19:18 Pacho Ramos
2016-06-11 19:39 Pacho Ramos
2016-06-08 19:59 Markus Meier
2016-05-03 20:29 Markus Meier
2016-04-20  8:55 Agostino Sarubbo
2016-04-19 15:50 Markus Meier
2016-04-11 10:39 Agostino Sarubbo
2016-04-11 10:21 Agostino Sarubbo
2016-04-07 10:17 Jeroen Roovers
2016-04-03 12:42 Pacho Ramos
2016-04-03 12:42 Pacho Ramos
2016-04-02 20:38 Pacho Ramos
2016-01-16 10:48 Pacho Ramos
2015-12-26 14:20 Pacho Ramos
2015-11-19 10:04 Agostino Sarubbo
2015-11-13  9:12 Agostino Sarubbo
2015-11-12 11:07 Agostino Sarubbo
2015-11-11  8:20 Agostino Sarubbo
2015-11-10 17:02 Agostino Sarubbo
2015-10-03 11:53 Pacho Ramos
2015-09-28  4:44 Jeroen Roovers
2015-09-11  2:13 Alexandre Rostovtsev
2015-09-07 21:55 Mikle Kolyada
2015-09-05 10:30 Pacho Ramos
2015-09-05 10:28 Pacho Ramos
2015-09-05 10:26 Pacho Ramos
2015-09-05 10:23 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1628803943.57d1140282cefd7e4bbfb739b6d2ab43140b1eaf.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox